libzypp: zypp::media::ProxyInfo Class Reference

libzypp 17.25.10

Classes | Public Types | Public Member Functions | Private Attributes | List of all members
zypp::media::ProxyInfo Class Reference

`#include <ProxyInfo.h>`

## Classes
struct | Impl

## Public Types
typedef intrusive_ptr< ProxyInfo > | Ptr
typedef intrusive_ptr< ProxyInfo > | constPtr
typedef std::list< std::string > | NoProxyList
typedef std::list< std::string >::const_iterator | NoProxyIterator
typedef shared_ptr< Impl > | ImplPtr

## Public Member Functions
| ProxyInfo ()
| Default Ctor: guess the best available implementation. More...
| ProxyInfo (ProxyInfo::ImplPtr pimpl_r)
| Ctor taking a specific implementation. More...
bool | enabled () const
std::string | proxy (const Url &url) const
NoProxyList | noProxy () const
NoProxyIterator | noProxyBegin () const
NoProxyIterator | noProxyEnd () const
bool | useProxyFor (const Url &url_r) const
| Return `true` if enabled and url_r does not match noProxy. More...

## Private Attributes
RW_pointer< Impl > | _pimpl
| Pointer to implementation. More...

## Detailed Description

Definition at line 29 of file ProxyInfo.h.

## Member Typedef Documentation

## ◆ Ptr

typedef intrusive_ptr<ProxyInfo> zypp::media::ProxyInfo::Ptr

Definition at line 32 of file ProxyInfo.h.

## ◆ constPtr

typedef intrusive_ptr<ProxyInfo> zypp::media::ProxyInfo::constPtr

Definition at line 33 of file ProxyInfo.h.

## ◆ NoProxyList

typedef std::list<std::string> zypp::media::ProxyInfo::NoProxyList

Definition at line 34 of file ProxyInfo.h.

## ◆ NoProxyIterator

typedef std::list<std::string>::const_iterator zypp::media::ProxyInfo::NoProxyIterator

Definition at line 35 of file ProxyInfo.h.

## ◆ ImplPtr

typedef shared_ptr<Impl> zypp::media::ProxyInfo::ImplPtr

Definition at line 39 of file ProxyInfo.h.

## Constructor & Destructor Documentation

## ◆ ProxyInfo() [1/2]

zypp::media::ProxyInfo::ProxyInfo | ( |  | ) |

Default Ctor: guess the best available implementation.

Definition at line 28 of file ProxyInfo.cc.

## ◆ ProxyInfo() [2/2]

zypp::media::ProxyInfo::ProxyInfo | ( | ProxyInfo::ImplPtr | pimpl_r | ) |

Ctor taking a specific implementation.

Definition at line 36 of file ProxyInfo.cc.

## Member Function Documentation

## ◆ enabled()

bool zypp::media::ProxyInfo::enabled | ( |  | ) | const

Definition at line 40 of file ProxyInfo.cc.

## ◆ proxy()

std::string zypp::media::ProxyInfo::proxy | ( | const Url & | url | ) | const

Definition at line 43 of file ProxyInfo.cc.

## ◆ noProxy()

ProxyInfo::NoProxyList zypp::media::ProxyInfo::noProxy | ( |  | ) | const

Definition at line 46 of file ProxyInfo.cc.

## ◆ noProxyBegin()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::noProxyBegin | ( |  | ) | const

Definition at line 49 of file ProxyInfo.cc.

## ◆ noProxyEnd()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::noProxyEnd | ( |  | ) | const

Definition at line 52 of file ProxyInfo.cc.

## ◆ useProxyFor()

bool zypp::media::ProxyInfo::useProxyFor | ( | const Url & | url_r | ) | const

Return `true` if enabled and url_r does not match noProxy.

Definition at line 55 of file ProxyInfo.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::media::ProxyInfo::_pimpl
| private

Pointer to implementation.

Definition at line 57 of file ProxyInfo.h.

The documentation for this class was generated from the following files:

- zypp/media/ProxyInfo.h
- zypp/media/ProxyInfo.cc